
Infrastructure - Story #1627

remove Metacat dependency on d1_libclient_java

2011-06-08 17:32 - Ben Leinfelder

Status: Rejected Start date: 2011-06-08

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version: Sprint-2011.23-Block.3   

Story Points:    

Description

Subtasks:

Task # 1628: Change ObjectFormatCache to extend ObjectFormatServiceImpl Closed

Task # 1629: create ObjectFormatService interface in d1_common_java Closed

Task # 1631: ObjectFormatCache extends ObjectFormatDiskCache in d1_libclient Rejected

Task # 1632: CNCore extends ObjectFormatService Closed

Task # 1633: ObjectFormatServiceImpl implements ObjectFormatService in d1_common Closed

Task # 1634: use alternative EML parser in Metacat Closed

Task # 1635: remove MNode reference from Metacat ResourceHandler class Rejected

Task # 1636: move MetacatPopulator out of Metacat Rejected

Task # 1637: rename edu.ucsb.nceas.metacat.service.ObjectFormatService in Metacat Closed

Related issues:

Related to Infrastructure - Story #1630: ObjectFormatCache should be abstract... Rejected 2011-06-08

History

#1 - 2011-06-08 17:55 - Robert Waltz

- Tracker changed from Bug to Story

- Category set to d1_common_java

- Assignee set to Chris Jones

- Milestone set to 2011-Block-3

#2 - 2011-06-10 16:01 - Ben Leinfelder

- Status changed from New to Rejected

A libclient dependency was not deemed problematic. It did spur further discussion of the different software "products" we should be building and

motivated us to make the products more modular (though still somewhat interdependent). Some of the tasks defined in this story were implemented

and ultimately made the architecture stronger (if only by increasing our collective understanding of it).
